--**********************
--  EHSD
--  OVERLAY 1
--**********************

-- AAR ZONES
local map_scale = 0.5 * GetScale()
local line_brts = 0.20

local	AAR_Zone_1_Pos					= CreateElement "ceSimple"
		AAR_Zone_1_Pos.name				= "AAR_Zone_1_Pos"
		AAR_Zone_1_Pos.init_pos			= {0, 0, 0}
		AAR_Zone_1_Pos.controllers		= {{"EHSD_Compass_Rose_Center", -0.05}, {"EHSD_OL1_AAR_1_Pos", map_scale}}
Add_MPCD_VIDEO_Element(AAR_Zone_1_Pos)

local	AAR_Zone_1_BG					= CreateElement "ceSimpleLineObject"
		AAR_Zone_1_BG.name				= "AAR_Zone_1_BG"
		AAR_Zone_1_BG.material   		= mpcd_ehsd_lines_bg
		AAR_Zone_1_BG.width      	 	= 0.007
		AAR_Zone_1_BG.init_pos			= {0, 0, 0}
		AAR_Zone_1_BG.parent_element	= AAR_Zone_1_Pos.name
		AAR_Zone_1_BG.controllers		= {{"EHSD_OL1_AAR_1", map_scale}}
Add_MPCD_VIDEO_Element(AAR_Zone_1_BG)
	
local	AAR_Zone_1_FG					= CreateElement "ceSimpleLineObject"
		AAR_Zone_1_FG.name				= "AAR_Zone_1_FG"
		AAR_Zone_1_FG.material   		= mpcd_ehsd_route_lines_blue
		AAR_Zone_1_FG.width       		= 0.005
		AAR_Zone_1_FG.init_pos			= {0, 0, 0}
		AAR_Zone_1_FG.parent_element	= AAR_Zone_1_Pos.name
		AAR_Zone_1_FG.controllers		= {{"EHSD_OL1_AAR_1", map_scale}}
Add_MPCD_VIDEO_Element(AAR_Zone_1_FG)

local	AAR_Zone_2_Pos					= CreateElement "ceSimple"
		AAR_Zone_2_Pos.name				= "AAR_Zone_2_Pos"
		AAR_Zone_2_Pos.init_pos			= {0, 0, 0}
		AAR_Zone_2_Pos.controllers		= {{"EHSD_Compass_Rose_Center", -0.05}, {"EHSD_OL1_AAR_2_Pos", map_scale}}
Add_MPCD_VIDEO_Element(AAR_Zone_2_Pos)

local	AAR_Zone_2_BG					= CreateElement "ceSimpleLineObject"
		AAR_Zone_2_BG.name				= "AAR_Zone_2_BG"
		AAR_Zone_2_BG.material   		= mpcd_ehsd_lines_bg
		AAR_Zone_2_BG.width      	 	= 0.007
		AAR_Zone_2_BG.init_pos			= {0, 0, 0}
		AAR_Zone_2_BG.parent_element	= AAR_Zone_2_Pos.name
		AAR_Zone_2_BG.controllers		= {{"EHSD_OL1_AAR_2", map_scale}}
Add_MPCD_VIDEO_Element(AAR_Zone_2_BG)
	
local	AAR_Zone_2_FG					= CreateElement "ceSimpleLineObject"
		AAR_Zone_2_FG.name				= "AAR_Zone_2_FG"
		AAR_Zone_2_FG.material   		= mpcd_ehsd_route_lines_blue
		AAR_Zone_2_FG.width       		= 0.005
		AAR_Zone_2_FG.init_pos			= {0, 0, 0}
		AAR_Zone_2_FG.parent_element	= AAR_Zone_2_Pos.name
		AAR_Zone_2_FG.controllers		= {{"EHSD_OL1_AAR_2", map_scale}}
Add_MPCD_VIDEO_Element(AAR_Zone_2_FG)

local	AAR_Zone_3_Pos					= CreateElement "ceSimple"
		AAR_Zone_3_Pos.name				= "AAR_Zone_3_Pos"
		AAR_Zone_3_Pos.init_pos			= {0, 0, 0}
		AAR_Zone_3_Pos.controllers		= {{"EHSD_Compass_Rose_Center", -0.05}, {"EHSD_OL1_AAR_3_Pos", map_scale}}
Add_MPCD_VIDEO_Element(AAR_Zone_3_Pos)

local	AAR_Zone_3_BG					= CreateElement "ceSimpleLineObject"
		AAR_Zone_3_BG.name				= "AAR_Zone_3_BG"
		AAR_Zone_3_BG.material   		= mpcd_ehsd_lines_bg
		AAR_Zone_3_BG.width      	 	= 0.007
		AAR_Zone_3_BG.init_pos			= {0, 0, 0}
		AAR_Zone_3_BG.parent_element	= AAR_Zone_3_Pos.name
		AAR_Zone_3_BG.controllers		= {{"EHSD_OL1_AAR_3", map_scale}}
Add_MPCD_VIDEO_Element(AAR_Zone_3_BG)
	
local	AAR_Zone_3_FG					= CreateElement "ceSimpleLineObject"
		AAR_Zone_3_FG.name				= "AAR_Zone_3_FG"
		AAR_Zone_3_FG.material   		= mpcd_ehsd_route_lines_blue
		AAR_Zone_3_FG.width       		= 0.005
		AAR_Zone_3_FG.init_pos			= {0, 0, 0}
		AAR_Zone_3_FG.parent_element	= AAR_Zone_3_Pos.name
		AAR_Zone_3_FG.controllers		= {{"EHSD_OL1_AAR_3", map_scale}}
Add_MPCD_VIDEO_Element(AAR_Zone_3_FG)

